MethodInvocationException (Velocity 1.4 API)
Keywords: org.apache.velocity.exception.MethodInvocationException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.exception
Class MethodInvocationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.velocity.exception.VelocityException
                  org.apache.velocity.exception.MethodInvocationException

All Implemented Interfaces:
  java.io.Serializable

public class MethodInvocationException
extends VelocityException

Application-level exception thrown when a reference method is invoked and an exception is thrown.
When this exception is thrown, a best effort will be made to have useful information in the exception's message. For complete information, consult the runtime log.

Version:
  $Id: MethodInvocationException.java,v 1.2.14.1 2004/03/03 23:22:54 geirm Exp $
Author:
  Geir Magnusson Jr.
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `methodName`
`private java.lang.String` | `referenceName`
`private java.lang.Throwable` | `wrapped`

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`MethodInvocationException(java.lang.String message, java.lang.Throwable e, java.lang.String methodName)` CTOR - wraps the passed in exception for examination later

Method Summary
`java.lang.String` | `getMethodName()` Returns the name of the method that threw the exception
`java.lang.String` | `getReferenceName()` Retrieves the name of the reference that caused the exception
`java.lang.Throwable` | `getWrappedThrowable()` returns the wrapped Throwable that caused this MethodInvocationException to be thrown
`void` | `setReferenceName(java.lang.String ref)` Sets the reference name that threw this exception

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### methodName

    private java.lang.String methodName

### referenceName

    private java.lang.String referenceName

### wrapped

    private java.lang.Throwable wrapped

Constructor Detail

### MethodInvocationException

    public MethodInvocationException(java.lang.String message,
                                     java.lang.Throwable e,
                                     java.lang.String methodName)

  CTOR - wraps the passed in exception for examination later

Parameters:
  `message` -
  `e` - Throwable that we are wrapping
  `methodName` - name of method that threw the exception

Method Detail

### getMethodName

    public java.lang.String getMethodName()

  Returns the name of the method that threw the exception

  Returns:
    String name of method

### getWrappedThrowable

    public java.lang.Throwable getWrappedThrowable()

  returns the wrapped Throwable that caused this MethodInvocationException to be thrown

  Returns:
    Throwable thrown by method invocation

### setReferenceName

    public void setReferenceName(java.lang.String ref)

  Sets the reference name that threw this exception

### getReferenceName

    public java.lang.String getReferenceName()

  Retrieves the name of the reference that caused the exception

  Returns:
    name of reference

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.